import StateHandler from '@/Engine/StateMahines/StateHandler';
import { FuncMainState } from '../FuncMain';

export default class LoginHandle implements StateHandler<FuncMainState> {
  stateIn(): void {
    window.GT_APP.funcLogin.setActive(true);
  }
  stateRunning(): FuncMainState {
    return FuncMainState.Login;
  }
  stateExit(): void {
    window.GT_APP.funcLogin.setActive(false);
  }
}
